RDKit: RDKit::Deprotect::DeprotectData Struct Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
RDKit::Deprotect::DeprotectData Struct Reference

`#include <Deprotect.h>`

## Public Member Functions
| DeprotectData (std::string deprotection_class, const std::string &reaction_smarts, std::string abbreviation, std::string full_name, std::string example="")
bool | operator== (const DeprotectData &other) const
bool | operator!= (const DeprotectData &other) const
bool | isValid () const
| Returns true if the deprotection is valid.

## Public Attributes
std::string | deprotection_class
std::string | reaction_smarts
std::string | abbreviation
std::string | full_name
std::string | example
std::shared_ptr< ChemicalReaction > | rxn

## Detailed Description

Data for Deprotecting molecules

Deprotects are described as reactions that remove the protecting group and leave behind the group being protected.

Each DeprotectData has the following attributes:

- deprotection_class functional group being protected (i.e. amine, alcohol, ...)
- reaction_smarts the reaction smarts pattern for removing the protecting group
- abbreviation common abbreviation for the protecting group (Boc, Fmoc)
- full_name full name for the protecting group
- rxn the reaction itself.

Definition at line 39 of file Deprotect.h.

## Constructor & Destructor Documentation

## ◆ DeprotectData()

RDKit::Deprotect::DeprotectData::DeprotectData | ( | std::string | deprotection_class,
|  | const std::string & | reaction_smarts,
|  | std::string | abbreviation,
|  | std::string | full_name,
|  | std::string | example = "" )

References abbreviation, deprotection_class, example, full_name, and reaction_smarts.

Referenced by operator!=(), and operator==().

## Member Function Documentation

## ◆ isValid()

bool RDKit::Deprotect::DeprotectData::isValid | ( |  | ) | const
| inline

Returns true if the deprotection is valid.

Definition at line 65 of file Deprotect.h.

References rxn.

Referenced by operator==().

## ◆ operator!=()

bool RDKit::Deprotect::DeprotectData::operator!= | ( | const DeprotectData & | other | ) | const
| inline

Definition at line 60 of file Deprotect.h.

References DeprotectData().

## ◆ operator==()

bool RDKit::Deprotect::DeprotectData::operator== | ( | const DeprotectData & | other | ) | const
| inline

Definition at line 53 of file Deprotect.h.

References abbreviation, DeprotectData(), deprotection_class, full_name, isValid(), and reaction_smarts.

## Member Data Documentation

## ◆ abbreviation

std::string RDKit::Deprotect::DeprotectData::abbreviation

Definition at line 42 of file Deprotect.h.

Referenced by DeprotectData(), and operator==().

## ◆ deprotection_class

std::string RDKit::Deprotect::DeprotectData::deprotection_class

Definition at line 40 of file Deprotect.h.

Referenced by DeprotectData(), and operator==().

## ◆ example

std::string RDKit::Deprotect::DeprotectData::example

Definition at line 44 of file Deprotect.h.

Referenced by DeprotectData().

## ◆ full_name

std::string RDKit::Deprotect::DeprotectData::full_name

Definition at line 43 of file Deprotect.h.

Referenced by DeprotectData(), and operator==().

## ◆ reaction_smarts

std::string RDKit::Deprotect::DeprotectData::reaction_smarts

Definition at line 41 of file Deprotect.h.

Referenced by DeprotectData(), and operator==().

## ◆ rxn

std::shared_ptr<ChemicalReaction> RDKit::Deprotect::DeprotectData::rxn

Definition at line 47 of file Deprotect.h.

Referenced by isValid().

The documentation for this struct was generated from the following file:

- Deprotect.h